curl -X POST "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"text": "SALE",
"is_bold": true,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial"
}'
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
QR 资源
创建文字 logo 模板
POST /qr-assets/text-logo/
POST
/
qr-assets
/
text-logo
/
curl -X POST "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"text": "SALE",
"is_bold": true,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial"
}'
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
在 Management API 主机(
创建的 logo 始终归该账户所有——
api.scanova.io)上保存一个新的文字 logo 模板,使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/qr-assets/text-logo/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
必填
Logo 文字,最多 20 个字符。
boolean
默认值:"false"
加粗样式。
boolean
默认值:"false"
斜体样式。
string
默认值:"000000"
十六进制颜色,不含
# 前缀,最多 10 个字符。integer
默认值:"100"
字体大小。
string
默认值:"Arial"
字体名称,最多 100 个字符。
curl -X POST "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"text": "SALE",
"is_bold": true,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial"
}'
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
has_user 返回 true。
相关内容
- 列出文字 logo 模板——查看已保存及默认的 logo。
- 删除文字 logo 模板——删除此 logo。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
201 - application/json
Text logo created.
此页面对您有帮助吗?